DestinationOperations (Message Queue, 5.1 API Specification)
Date: 2019-01-27

com.sun.messaging.jms.management.server

## Class DestinationOperations

- java.lang.Object
- - com.sun.messaging.jms.management.server.DestinationOperations

-     public class DestinationOperations
      extends java.lang.Object

  Class containing information on destination operations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPACT` Compact a destination.
    `static java.lang.String` | `CREATE` Create a destination.
    `static java.lang.String` | `DESTROY` Destroy a destination
    `static java.lang.String` | `GET_ACTIVE_CONSUMER_IDS` Get active consumers IDs
    `static java.lang.String` | `GET_BACKUP_CONSUMER_IDS` Get backup consumers IDs
    `static java.lang.String` | `GET_CONNECTION` Get connection - relevant for temporary destinations only.
    `static java.lang.String` | `GET_CONSUMER_IDS` Get consumer IDs
    `static java.lang.String` | `GET_CONSUMER_WILDCARDS` Get consumer wildcards used on this destination
    `static java.lang.String` | `GET_DESTINATIONS` Get list of destination MBean object names.
    `static java.lang.String` | `GET_NUM_WILDCARD_CONSUMERS` Get number of consumers on this destination that use a specific wildcard
    `static java.lang.String` | `GET_NUM_WILDCARD_PRODUCERS` Get number of producers on this destination that use a specific wildcard
    `static java.lang.String` | `GET_PRODUCER_IDS` Get producer IDs
    `static java.lang.String` | `GET_PRODUCER_WILDCARDS` Get producer wildcards used on this destination
    `static java.lang.String` | `GET_WILDCARDS` Get wildcards used on this destination i.e.
    `static java.lang.String` | `PAUSE` Pause a destination.
    `static java.lang.String` | `PURGE` Purge a destination.
    `static java.lang.String` | `RESUME` Resume a destination.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CREATE

          public static final java.lang.String CREATE

      Create a destination.
      See Also:
        Constant Field Values

    - #### COMPACT

          public static final java.lang.String COMPACT

      Compact a destination.
      See Also:
        Constant Field Values

    - #### DESTROY

          public static final java.lang.String DESTROY

      Destroy a destination
      See Also:
        Constant Field Values

    - #### GET_ACTIVE_CONSUMER_IDS

          public static final java.lang.String GET_ACTIVE_CONSUMER_IDS

      Get active consumers IDs
      See Also:
        Constant Field Values

    - #### GET_BACKUP_CONSUMER_IDS

          public static final java.lang.String GET_BACKUP_CONSUMER_IDS

      Get backup consumers IDs
      See Also:
        Constant Field Values

    - #### GET_CONSUMER_IDS

          public static final java.lang.String GET_CONSUMER_IDS

      Get consumer IDs
      See Also:
        Constant Field Values

    - #### GET_CONNECTION

          public static final java.lang.String GET_CONNECTION

      Get connection - relevant for temporary destinations only.
      See Also:
        Constant Field Values

    - #### GET_DESTINATIONS

          public static final java.lang.String GET_DESTINATIONS

      Get list of destination MBean object names.
      See Also:
        Constant Field Values

    - #### GET_PRODUCER_IDS

          public static final java.lang.String GET_PRODUCER_IDS

      Get producer IDs
      See Also:
        Constant Field Values

    - #### GET_WILDCARDS

          public static final java.lang.String GET_WILDCARDS

      Get wildcards used on this destination i.e. Wildcards used by consumers/producers that match this destination
      See Also:
        Constant Field Values

    - #### GET_CONSUMER_WILDCARDS

          public static final java.lang.String GET_CONSUMER_WILDCARDS

      Get consumer wildcards used on this destination
      See Also:
        Constant Field Values

    - #### GET_NUM_WILDCARD_CONSUMERS

          public static final java.lang.String GET_NUM_WILDCARD_CONSUMERS

      Get number of consumers on this destination that use a specific wildcard
      See Also:
        Constant Field Values

    - #### GET_PRODUCER_WILDCARDS

          public static final java.lang.String GET_PRODUCER_WILDCARDS

      Get producer wildcards used on this destination
      See Also:
        Constant Field Values

    - #### GET_NUM_WILDCARD_PRODUCERS

          public static final java.lang.String GET_NUM_WILDCARD_PRODUCERS

      Get number of producers on this destination that use a specific wildcard
      See Also:
        Constant Field Values

    - #### PAUSE

          public static final java.lang.String PAUSE

      Pause a destination.
      See Also:
        Constant Field Values

    - #### PURGE

          public static final java.lang.String PURGE

      Purge a destination.
      See Also:
        Constant Field Values

    - #### RESUME

          public static final java.lang.String RESUME

      Resume a destination.
      See Also:
        Constant Field Values

Copyright (c) 2010, 2017 Oracle and/or its affiliates. All rights reserved.